Class | Chef::Mixin::WhyRun::ConvergeActions
In: | lib/chef/mixin/why_run.rb
Parent: | Object

## ConvergeActions

ConvergeActions implements the logic for why run. A ConvergeActions object wraps a collection of actions, which consist of a descriptive string and a block/Proc. Actions are executed by calling converge! When why_run mode is enabled, each action‘s description will be printed, but the block will not be called. Conversely, in normal mode, the block is called, but the message is not printed.

In general, this class should be accessed through the API provided by Chef::Provider.

### Methods

add_action empty? events new

### Attributes

actions | [R] |

### Public Class methods

new(resource, run_context, action)

### Public Instance methods

add_action(descriptions, &block)

Adds an action to the list. `descriptions` can either be an Array of Strings, or a single String describing the action; `block` is a block/proc that implements the action.

empty?()

True if there are no actions to execute.

events()

[Validate]